{
  description = "Home Manager configuration of tacocat";

  inputs = {
    # Specify the source of Home Manager and Nixpkgs.
    nixpkgs.url = "github:nixos/nixpkgs/nixos-unstable";
    helix = {
      url = "github:helix-editor/helix/master";
      inputs.nixpkgs.follows = "nixpkgs";
    };
    home-manager = {
      url = "github:nix-community/home-manager";
      inputs.nixpkgs.follows = "nixpkgs";
    };
  };

  outputs = inputs:
    let
      system = "x86_64-linux";
      pkgs = inputs.nixpkgs.legacyPackages.${system};
    in {
      homeConfigurations."tacocat" = inputs.home-manager.lib.homeManagerConfiguration {
        inherit pkgs;

				# Specify your home configuration modules here, for example,
				# the path to your home.nix.
				modules = [
					./home.nix
					./shell
					./programs
          ./helix
				];

				# Optionally use extraSpecialArgs
				# to pass through arguments to home.nix
				extraSpecialArgs = {inherit inputs system;};
      };
    };
}
